Subject: Re: bug#63084: 30.0.50; gud: set breakpoint while program is running

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 May 2023 14:43:17 +0300

> From: TatriX <[email-masked]>
> Date: Fri, 5 May 2023 09:15:19 +0200
> Cc: [email-masked]
> 
> > Could you please answer my questions below?
> 
> Sorry, I'm not sure what questions you are referring to.
> 
> >> What is the value of gdb-running and of gdb-non-stop after you "run&"
> >> the program?
> > gud-running is t
> > gdb-non-stop is nil
> 
> in case my last email didn't get through.

Thanks.  The value of gdb-non-stop is the problem: it basically means
that gdb-mi thinks GDB doesn't support async execution, and therefore
doesn't behave accordingly, which is evidenced by gud-running being
non-nil.

I hope Ken responds soon, because I think we need to redesign the part
which asks GDB about support for target-async and non-stop mode.